MPI_File_get_amode(3)

NAME
MPI_File_get_amode - Returns access mode associated with an open file.

SYNTAX
C Syntax
    #include <mpi.h>
    int MPI_File_get_amode(MPI_File fh, int *amode)

Fortran Syntax
    INCLUDE 'mpif.h'
    MPI_FILE_GET_AMODE(FH, AMODE,  IERROR)
        	 INTEGER	FH, AMODE, IERROR

C++ Syntax
#include <mpi.h>
int MPI::File::Get_amode() const

INPUT PARAMETER

fh  File handle (handle).

OUTPUT PARAMETERS

amode
    File access mode used to open the file (integer).

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_File_get_amode returns, in amode, the access mode associated with the open file fh.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. For MPI I/O function errors, the default error handler is set to MPI_ERRORS_RETURN. The error handler may be changed with MPI_File_set_errhandler; the predefined error handler MPI_ERRORS_ARE_FATAL may be used to make I/O errors fatal. Note that MPI does not guarantee that an MPI program can continue past an error.